
ctools - Bug #3260

Bug with $CTOOLS/share/examples/python/show_residuals.py

07/02/2020 05:49 PM - Jean Pierre

Status: Closed Start date: 07/02/2020

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.7.3   

Description

Manon Jarry installed ctools with python 3.5 on her computer equipped with Dual boot Ubuntu 20.04.

The installation was fine and the ctools and gammalib tests were successful.

All was fine when she ran the tutorial excepted when she used show_residuals.py:

(myenv) manon@manon-Aspire-V3-371:~$ $CTOOLS/share/examples/python/show_residuals.py resspec.fits

Erreur de segmentation (core dumped)

It could be a problem with the last version of ubuntu (?)

Luigi told us to send an issue to Jürgen...

Cheers.

Pierre.

Related issues:

Related to ctools - Bug # 3423: show_lightcurve.py segmentation fault Closed 10/29/2020

History

#1 - 07/02/2020 09:14 PM - Knödlseder Jürgen

How big is the FITS file? Can it be a memory problem?

#2 - 12/02/2020 08:35 AM - Knödlseder Jürgen

- Related to Bug #3423: show_lightcurve.py segmentation fault  added

#3 - 12/02/2020 08:36 AM - Knödlseder Jürgen

- Status changed from New to In Progress

- Target version set to 1.7.3

Probably the same issue encountered in #3423. I changed the order of import so that matplotlib is always imported first.

#4 - 12/09/2020 12:16 PM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- % Done changed from 0 to 100
